#!/usr/local/bin/ruby

require 'GDGraph'

ary1 = [10, 30, 20, 50, 60, 40, -10]
ary2 = [[10, 30], [20, 50], [60, 40], [10, 30], [20, 30]]
ary3 = [[10, 30, 20], [20, 50, 60], [60, 40, 10], [10, 30, 5], [10, 20, 30]]
labels = ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul"]

d = GDGraph::LabeledData.new(labels)
d.set_data(ary1)
#d.set_data(ary2)
#d.set_data(ary3)

g1 = GDGraph::VerticalLinesGraph.new(d)

g1.line_color = GDGraph::Color.color('blue')
g1.line_color = GDGraph::Color::BLUE
g1.line_width = 10
g1.line_width = 3
g1.bar_width = 0.8
g1.bar_filled = true

graph = GDGraph::GraphComponent.new
graph.add(g1)
graph.set_axisdrawer(GDGraph::AxisDrawer.new)

graph.out("VerticalLinesGraph.png")
#f = open("VerticalLinesGraph.png", 'w')
#graph.out(f)
#f.close
